Bug 1526450 - RFE: add firewall --use-system-defaults kickstart option
Summary: RFE: add firewall --use-system-defaults kickstart option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kolman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1526486 1534604
TreeView+ depends on / blocked
 
Reported: 2017-12-15 14:23 UTC by Dusty Mabe
Modified: 2018-04-10 08:50 UTC (History)
5 users (show)

Fixed In Version: anaconda-21.48.22.130-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1526486 1534604 (view as bug list)
Environment:
Last Closed: 2018-04-10 08:49:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0671 None None None 2018-04-10 08:50:06 UTC

Description Dusty Mabe 2017-12-15 14:23:35 UTC
Description of problem:

In RHEL Atomic Host 7.5 we would like to include firewalld inside atomic host but leave it disabled by default. This is so users who want to use it can enable it but users who don't want to change from what they've been doing (no firewalld) can continue to work without change. Unfortunately anaconda will always enable firewalld (no user input, or user asked for --enabled), or disable firewalld (user asked for disabled). It will never not configure the firewall one way or the other, which is what we'd like; basically a way to ask for whatever was delivered by the system to be left alone.

See https://pagure.io/atomic-wg/issue/401

Comment 7 Peter Kotvan 2018-01-30 09:28:45 UTC
Verified on RHEL-7.5-20180125.0.

Comment 10 errata-xmlrpc 2018-04-10 08:49:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0671


Note You need to log in before you can comment on or make changes to this bug.